Name: H5Tget_class
Signature:
  H5T_class_t `H5Tget_class`(hid_t `type_id` )
Purpose:
  Returns the datatype class identifier.
Description:
  `H5Tget_class` returns the datatype class identifier.

  Valid class identifiers, as defined in `H5Tpublic.h`, are:

  - `H5T_INTEGER`
  - `H5T_FLOAT`
  - `H5T_TIME`
  - `H5T_STRING`
  - `H5T_BITFIELD`
  - `H5T_OPAQUE`
  - `H5T_COMPOUND`
  - `H5T_REFERENCE`
  - `H5T_ENUM`
  - `H5T_VLEN`
  - `H5T_ARRAY`

  Note that the library returns `H5T_STRING` for both fixed-length and variable-length strings.

  Note that the time datatype class, `H5T_TIME`, is not fully supported in the current version of the HDF5 Library.

Parameters:

hid_t `type_id` | Identifier of datatype to query.

Returns:
  Returns datatype class identifier if successful; otherwise `H5T_NO_CLASS` (-1).
Fortran90 Interface: h5tget_class_f

      SUBROUTINE h5tget_class_f(type_id, class, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: type_id  ! Datatype identifier
        INTEGER, INTENT(OUT) :: class          ! Datatype class, possible values are:
                                               !    H5T_NO_CLASS_F
                                               !    H5T_INTEGER_F
                                               !    H5T_FLOAT_F
                                               !    H5T_TIME_F
                                               !    H5T_STRING_F
                                               !    H5T_BITFIELD_F
                                               !    H5T_OPAQUE_F
                                               !    H5T_COMPOUND_F
                                               !    H5T_REFERENCE_F
                                               !    H5T_ENUM_F
        INTEGER, INTENT(OUT) :: hdferr         ! Error code
                                               ! 0 on success and -1 on failure
      END SUBROUTINE h5tget_class_f